> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# appointmentfavourite

> MDO list provider for Favourites

## "appointmentfavourite" MDO List

MDO list provider for Favourites

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AppointmentFavouriteListProvider">AppointmentFavouriteListProvider</see> class.
The name of the MDO list is 'appointmentfavourite'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/appointmentfavourite
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("appointmentfavourite", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "appointmentfavouriteheadings"
* "appointmentfavouriteheadingswithallitem"
* "appointmentfavouriteheadingswithallitemwithnoselection"
* "appointmentfavouriteheadingswithnoselection"
* "appointmentfavouritewithallitem"
* "appointmentfavouritewithallitemwithnoselection"
* "appointmentfavouritewithnoselection"


## Related topics

- [appointmentfavourites](/en/api/archive-providers/reference/appointmentfavourites.md)
- [Archive Provider List](/en/api/archive-providers/reference/index.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
